CC = gcc
CFLAGS = -g
OBJ = mycpp.o data.o basename.o 
HEADERS = *.h
PROGRAM = mycpp

all: $(PROGRAM) $(LINKS)

.c.o: 
	$(CC) $(CFLAGS) -c $<

$(PROGRAM): $(OBJ) 
	$(CC) $(CFLAGS) -o $(PROGRAM) $(OBJ) -ly -ll -lm

clean:
	rm -f *.o core $(PROGRAM) *~


